import request from '@/utils/dsRequest'
import { dsOutExcel } from '@/utils/filedown'

export function QueryData(data) {
  return request({
    url: '/InventoryTask/QueryData',
    method: 'post',
    data
  })
}

export function EditData(data) {
  console.log(data)
  return request({
    url: '/InventoryTask/InsertOrEdit',
    method: 'post',
    data: data
  })
}
export function GetDataById(id) {
  return request({
    url: '/InventoryTask/GetDtoModel',
    method: 'get',
    params: { id }
  })
}
export function EditInventoryStatus(id,op){
  return request({
    url: '/InventoryTask/EditInventoryStatus',
    method: 'get',
    params: { id:id,op:op}
  })
}
export function QueryDetailPager(data) {
  return request({
    url: '/InventoryTask/QueryDetailPager',
    method: 'post',
    data
  })
}
export function ConfirmEnd(taskId) {
  return request({
    url: '/InventoryTask/InventoryTaskEnd',
    method: 'get',
    params: { taskId }
  })
}